org.apache.activemq.artemis.api.core.management

## Class ActiveMQManagementProxy

- java.lang.Object
- - org.apache.activemq.artemis.api.core.management.ActiveMQManagementProxy

- All Implemented Interfaces:
    AutoCloseable

      public class ActiveMQManagementProxy
      extends Object
      implements AutoCloseable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActiveMQManagementProxy(ClientSession session)`
    `ActiveMQManagementProxy(ServerLocator locator, String username, String password)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `<T> T` | `getAttribute(String resourceName, String attributeName, Class<T> attributeClass, int timeout)`
    `<T> T` | `invokeOperation(String resourceName, String operationName, Object[] operationParams, Class<T> operationClass, int timeout)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActiveMQManagementProxy

          public ActiveMQManagementProxy(ClientSession session)

    - #### ActiveMQManagementProxy

          public ActiveMQManagementProxy(ServerLocator locator,
                                         String username,
                                         String password)
                                  throws Exception

      Throws:
        `Exception`

  - ### Method Detail

    - #### getAttribute

          public <T> T getAttribute(String resourceName,
                                    String attributeName,
                                    Class<T> attributeClass,
                                    int timeout)
                             throws Exception

      Throws:
        `Exception`

    - #### invokeOperation

          public <T> T invokeOperation(String resourceName,
                                       String operationName,
                                       Object[] operationParams,
                                       Class<T> operationClass,
                                       int timeout)
                                throws Exception

      Throws:
        `Exception`

    - #### close

          public void close()
                     throws Exception

      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `Exception`

Copyright © 2021 The Apache Software Foundation. All rights reserved.